using SqlSugar;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Repository;

namespace Hotline.Snapshot;

/// <summary>
/// 邀请记录
/// </summary>
[Description("邀请记录")]
public class InviteCodeRecord : CreationSoftDeleteEntity
{
    /// <summary>
    /// 部门Id
    /// </summary>
    [SugarColumn(ColumnDescription = "部门Id")]
    public string OrgId { get; set; }

    /// <summary>
    /// 部门名称
    /// </summary>
    [SugarColumn(ColumnDescription = "部门名称")]
    public string OrgName { get; set; }

    /// <summary>
    /// 邀请码
    /// </summary>
    [SugarColumn(ColumnDescription = "邀请码")]
    public string InviteCode { get; set; }

    /// <summary>
    /// 微信OpenId
    /// </summary>
    [SugarColumn(ColumnDescription = "微信OpenId")]
    public string WXOpenId { get; set; }

    /// <summary>
    /// 电话
    /// </summary>
    [SugarColumn(ColumnDescription = "电话")]
    public string PhoneNumber { get; set; }

    /// <summary>
    /// 姓名
    /// </summary>
    [SugarColumn(ColumnDescription = "姓名")]
    public string? Name { get; set; }
}
